/**
 * Copyright  2001 Columbia University in the City of New York.
 * All rights reserved.
 *
 * Columbia University will freely share software (understood to include
 * both source code and binaries) with educational institutions according
 * to the following terms:
 *
 * 1. The borrower agrees to indemnify and hold Columbia University
 * harmless against liability, damage, loss, cost, or expense arising
 * out of the use of the software.
 *
 * 2. Redistribution of the software must retain the above copyright
 * notice, disclaimer, and this list of conditions.
 *
 * 3. Any software distributed under the java class hierarchy of
 * "edu.columbia.*" may not be shared, redistributed or used in a
 * for-profit application without the  written consent of a representative
 * of Columbia University. (see contact information in the JA-SIG
 * Clearinghouse).
 *
 * 4. Columbia University does not warrant the software for suitability
 * of any purpose or reliability in any environment, and will provide no
 * service, support or maintenance of the software.
 *
 *
 */

package  edu.columbia.ais.portal.channels.announcements;

// import  edu.columbia.ais.portal.channels.announcements.*;
import  edu.columbia.ais.portal.utils.*;
import  org.jasig.portal.services.*;
import  java.util.HashMap;
import  java.util.Set;

/**
 *
 * A class designed to decouple a request for an action to be performed
 * from the class responsible for the action.
 *
 * @author Alex Vigdor
 *
 * @version $Revision: 1.1 $
 */

public class CommandFactory
        implements Constants {
    protected static HashMap bindings = new java.util.HashMap(6);
    protected static CommandFactory _instance = null;
    final static String commandPackage = "edu.columbia.ais.portal.channels.announcements.commands.";

    /**
     * put your documentation comment here
     */
    protected CommandFactory () {
        try {
            bindings.put("WriteAnnouncement", Class.forName(commandPackage + "WriteAnnouncement").newInstance());
            bindings.put("DeleteAnnouncement", Class.forName(commandPackage + "DeleteAnnouncement").newInstance());
            bindings.put("DeleteTopic", Class.forName(commandPackage + "DeleteTopic").newInstance());
            bindings.put("EditTopic", Class.forName(commandPackage + "EditTopic").newInstance());
            //bindings.put("EditTopicMeta",Class.forName(commandPackage+"EditTopicMeta").newInstance());
            bindings.put("Subscribe", Class.forName(commandPackage + "Subscribe").newInstance());
        } catch (Exception e) {
            LogService.log(LogService.ERROR, e);
        }
    }

    /**
     * put your documentation comment here
     * @return
     */
    public static synchronized CommandFactory instance () {
        if (_instance == null) {
            _instance = new CommandFactory();
        }
        return  _instance;
    }

    /**
     * put your documentation comment here
     * @param name
     * @return
     */
    public static IAnnouncementCommand get (String name) {
        return  (IAnnouncementCommand)bindings.get(name);
    }

    /**
     * put your documentation comment here
     * @return
     */
    public static String[] getKeys () {
        Set keyset = bindings.keySet();
        return  (String[])keyset.toArray(new String[0]);
    }
}



