/**
 * Copyright  2001 Columbia University in the City of New York.
 * All rights reserved.
 *
 * Columbia University will freely share software (understood to include
 * both source code and binaries) with educational institutions according
 * to the following terms:
 *
 * 1. The borrower agrees to indemnify and hold Columbia University
 * harmless against liability, damage, loss, cost, or expense arising
 * out of the use of the software.
 *
 * 2. Redistribution of the software must retain the above copyright
 * notice, disclaimer, and this list of conditions.
 *
 * 3. Any software distributed under the java class hierarchy of
 * "edu.columbia.*" may not be shared, redistributed or used in a
 * for-profit application without the  written consent of a representative
 * of Columbia University. (see contact information in the JA-SIG
 * Clearinghouse).
 *
 * 4. Columbia University does not warrant the software for suitability
 * of any purpose or reliability in any environment, and will provide no
 * service, support or maintenance of the software.
 *
 *
 *
 */


package  edu.columbia.ais.portal.channels.announcements;

/**
 * Announcements system constants
 *
 * @author Alex Vigdor
 * @version $Revision: 1.1 $
 */
 public interface Constants {
    String OWNER = "edu.columbia.ais.portal.channels.announcements.CAnnouncements";
    String SUBSCRIBER_CLASS = "org.jasig.portal.security.IPerson";
    String PROPERTIES = "/properties/announcements/CAnnouncements.properties";
    String TOPIC_LOCK_FAIL = "Echec pour verrouiller le th\u00E8me";
    String SUCCESS = "L'op\u00E9ration a \u00E9t\u00E9 accomplie avec succ\u00E8s";
    String TOPIC_EDITED = "Le th\u00E8me a \u00E9t\u00E9 \u00E9dit\u00E9 avec succ\u00E8s.";
    String TOPIC_TITLE_EMPTY = "Th\u00E8me non enregistr\u00E9 : Vous devez entrer un titre pour votre th\u00E8me";
    String defaultView = "Home";
    String packageBase = "edu.columbia.ais.portal.channels.announcements.";
    String STORE_LACKS_WRITE_SUPPORT = "The topic store for this topic does not support editing";
    String FAILED_ON_EXCEPTION = "L'op\u00E9ration n'a pas \u00E9t\u00E9 accomplie \u00E0 cause d'une exception";
    String OBJECT_NOT_FOUND = "L'objet que vous avez tent\u00E9 de traiter n'a pas \u00E9t\u00E9 trouv\u00E9";
    String TOPIC_TABLE = "UPC_CU_ANN_TOPIC";
    String MESSAGE_TABLE = "UPC_CU_ANN_MESSAGE";
    String DEFAULT_TOPIC_STORE = "edu.columbia.ais.portal.channels.announcements.RDBMTopicStore";
//  added
    String RDBM_TOPIC_STORE_DESC = "Th\u00E8me g\u00E9r\u00E9 localement via le canal d'annonces";
    String HTTP_TOPIC_STORE_DESC = "Th\u00E8me en lecture seule extrait d'une source \u00E0 distance via le protocole HTTP - n\u00E9cessiter une adresse url valide comme argument :";

   
    final static String subscribeTopicBtnTxt = "Souscrire au th\u00E8me";
    final static String draftAnnouncementsBtnTxt ="Brouillon";
    final static String postAnnouncementsBtnTxt = "Publier Annonces";
    final static String editAnnouncementsBtnTxt = "Modifier Annonces";
    final static String deleteAnnouncementsBtnTxt = "Supprimer Annonces";
    final static String editTopicBtnTxt = "Modifier Th\u00E8me";
    final static String deleteTopicBtnTxt = "Supprimer Th\u00E8me";
    final static String assignPermissionsForTopicBtnTxt = "Assigner  Permissions pour Th\u00E8me";
//end of added
}


