/**
 * Copyright  2001 Columbia University in the City of New York.
 * All rights reserved.
 *
 * Columbia University will freely share software (understood to include
 * both source code and binaries) with educational institutions according
 * to the following terms:
 *
 * 1. The borrower agrees to indemnify and hold Columbia University
 * harmless against liability, damage, loss, cost, or expense arising
 * out of the use of the software.
 *
 * 2. Redistribution of the software must retain the above copyright
 * notice, disclaimer, and this list of conditions.
 *
 * 3. Any software distributed under the java class hierarchy of
 * "edu.columbia.*" may not be shared, redistributed or used in a
 * for-profit application without the  written consent of a representative
 * of Columbia University. (see contact information in the JA-SIG
 * Clearinghouse).
 *
 * 4. Columbia University does not warrant the software for suitability
 * of any purpose or reliability in any environment, and will provide no
 * service, support or maintenance of the software.
 *
 */

package  edu.columbia.ais.portal.channels.announcements;

import  java.util.Set;
// import  java.util.Vector;


/**
 * Interface for a class that can act as a center of information for
 * all topics in the system, regardless of TopicStore
 *
 * @author Alex Vigdor
 * @version $Revision: 1.1 $
 */
public interface ITopicStoreAuthority extends ITopicStoreReadWrite
{

    // vector of Topic objects containing only metadata, no announcements
    public Topic[] retrieveNewTopicDefs ();



    /**
     * put your documentation comment here
     * @param t
     * @return
     */
    public Topic refreshTopic (Topic t);

    /**
     * Gets a Set containing all Topic IDs in database.
     * @return Set of topic IDs.
     */
    public Set getTopicIDs ();
}


