/**
 * Copyright  2001 Columbia University in the City of New York.
 * All rights reserved.
 *
 * Columbia University will freely share software (understood to include
 * both source code and binaries) with educational institutions according
 * to the following terms:
 *
 * 1. The borrower agrees to indemnify and hold Columbia University
 * harmless against liability, damage, loss, cost, or expense arising
 * out of the use of the software.
 *
 * 2. Redistribution of the software must retain the above copyright
 * notice, disclaimer, and this list of conditions.
 *
 * 3. Any software distributed under the java class hierarchy of
 * "edu.columbia.*" may not be shared, redistributed or used in a
 * for-profit application without the  written consent of a representative
 * of Columbia University. (see contact information in the JA-SIG
 * Clearinghouse).
 *
 * 4. Columbia University does not warrant the software for suitability
 * of any purpose or reliability in any environment, and will provide no
 * service, support or maintenance of the software.
 *
 */

package  edu.columbia.ais.portal.utils;

import  java.util.*;
import  org.w3c.dom.*;


/**
 *
 * A little utility to grab descendant elements by tag name and "id" attribute
 *
 * @author Alex Vigdor
 *
 * @version $Revision: 1.1 $
 */
public class DOMHelper {

    /** Creates new DOMHelper */
    public DOMHelper () {
    }

    /**
     * put your documentation comment here
     * @param aDoc
     * @param tagname
     * @param id
     * @return
     */
    public static Element[] getElementsByTagnameAndID (Document aDoc, String tagname,
            String id) {
        ArrayList elems = new ArrayList();
        int i;
        NodeList nList = aDoc.getElementsByTagName(tagname);
        for (i = 0; i < nList.getLength(); i++) {
            Element elem = (Element)nList.item(i);
            if (elem.getAttribute("id").equals(id)) {
                elems.add(elem);
            }
        }
        //String rootOwner = Utility.asString((DocumentImpl) ((org.w3c.dom.Element) nList.item(i)).getOwnerDocument());
        //Logger.log(Logger.DEBUG, "getElementByTagnameAndID:  expanded element owner = " + rootOwner);
        return  (Element[])elems.toArray(new Element[0]);
    }
}



