/**
 * Copyright  2001 Columbia University in the City of New York.
 * All rights reserved.
 *
 * Columbia University will freely share software (understood to include
 * both source code and binaries) with educational institutions according
 * to the following terms:
 *
 * 1. The borrower agrees to indemnify and hold Columbia University
 * harmless against liability, damage, loss, cost, or expense arising
 * out of the use of the software.
 *
 * 2. Redistribution of the software must retain the above copyright
 * notice, disclaimer, and this list of conditions.
 *
 * 3. Any software distributed under the java class hierarchy of
 * "edu.columbia.*" may not be shared, redistributed or used in a
 * for-profit application without the  written consent of a representative
 * of Columbia University. (see contact information in the JA-SIG
 * Clearinghouse).
 *
 * 4. Columbia University does not warrant the software for suitability
 * of any purpose or reliability in any environment, and will provide no
 * service, support or maintenance of the software.
 *
 *
 * formatted with JxBeauty (c) johann.langhofer@nextra.at
 */


package  edu.columbia.ais.portal.utils;

import  java.util.Properties;
import  java.util.HashMap;
import  org.jasig.portal.services.*;
import  org.jasig.portal.utils.ResourceLoader;
import  java.io.*;


/**
 *
 * A utility that loads and caches properties files
 *
 * @author Alex Vigdor
 *
 * @version $Revision: 1.1 $
 */
public class PropertiesLoader {
    private static PropertiesLoader _instance;
    private static HashMap pmap = new HashMap();

    /**
     * put your documentation comment here
     */
    private PropertiesLoader () {
    }

    /**
     * put your documentation comment here
     * @return
     */
    private static synchronized PropertiesLoader instance () {
        if (_instance == null) {
            _instance = new PropertiesLoader();
        }
        return  _instance;
    }

    /**
     * put your documentation comment here
     * @param requester
     * @param filename
     * @return
     */
    public static Properties getProperties (String requester, String filename) {
        PropertiesLoader pl = instance();
        String pkey = requester + filename;
        try {
            if (pmap.get(pkey) == null) {
                //LogService.instance().log(LogService.DEBUG,"PropertiesLoader:: loading "+filename+" for the first time");
                synchronized (pmap) {
                    //LogService.instance().log(LogService.DEBUG,"PropertiesLoader:: synchronized pmap");
                    Properties props = new Properties();
                    File propsFile = ResourceLoader.getResourceAsFile(Class.forName(requester),
                            filename);
                    props.load(new FileInputStream(propsFile));
                    pmap.put(pkey, props);
                }
            }
            else {
            //LogService.instance().log(LogService.DEBUG,"PropertiesLoader:: using cached "+filename);
            }
        } catch (Exception e) {
            LogService.log(LogService.ERROR, e);
        }
        return  (Properties)pmap.get(pkey);
    }
}



