<?xml version='1.0' encoding="utf-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:xmsg="urn:x-lexica:xmsg:message:1.0">
        <xsl:output method="html" indent="yes"/>
        <xsl:param name="baseActionURL"/>
        <xsl:param name="topicID">null</xsl:param>
        <xsl:param name="fromView"/>
        <xsl:template match="/">
            <center>
            <table border="0" cellpadding="2" cellspacing="2">
            <form action="{$baseActionURL}" method="post">
            <input type="hidden" name="command" value="EditTopic"/>
            <input type="hidden" name="view" value="{$fromView}"/>
            <input type="hidden" name="topicID" value="{$topicID}"/>
            <xsl:choose>
                <xsl:when test="$topicID='null'">
                    <xsl:call-template name="newTopic">
                        <xsl:with-param name="root" select="CAnnouncements"/>
                    </xsl:call-template>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:call-template name="editTopic">
                        <xsl:with-param name="topic" select="CAnnouncements/topic[@id=$topicID]"/>
                    </xsl:call-template>
                </xsl:otherwise>
            </xsl:choose>
            </form>
            </table>
            </center>
        </xsl:template>
        <xsl:template name="newTopic">
            <xsl:param name="root"/>
            <tr>
            <td colspan="2" class="uportal-channel-title">
                <xsl:text>Nouveau thème</xsl:text>
            </td>
            </tr>
            <xsl:call-template name="tdl"/>
            <xsl:call-template name="hr"/>
            <xsl:call-template name="newTopicStore">
                <xsl:with-param name="root" select="$root"/>
            </xsl:call-template>
            <xsl:call-template name="hr"/>
            <xsl:call-template name="remoteServe"/>
            <xsl:call-template name="hr"/>
            <xsl:call-template name="refresh"/>
            <xsl:call-template name="hr"/>
            <tr><td align="right" colspan="2">
            <input type="submit" value="Enregistrer Thème" class="uportal-button"/>
            <xsl:text> </xsl:text>
            <input type="button" value="Annuler" onClick="top.location.href='{$baseActionURL}?view={$fromView}&amp;topicID={$topicID}'" class="uportal-button"/>
            </td></tr>
        </xsl:template>

        <xsl:template name="editTopic">
            <xsl:param name="topic"/>
            <tr>
            <td colspan="2" class="uportal-channel-subtitle">
                <xsl:text>Editer Thème - </xsl:text>
                <em><xsl:value-of select="$topic/RDF/Description/title/self::*"/></em>
            </td>
            </tr><xsl:call-template name="tdl">
                <xsl:with-param name="topic" select="$topic"/>
            </xsl:call-template>
            <xsl:call-template name="hr"/>
            <xsl:call-template name="topicStore">
                <xsl:with-param name="topic" select="$topic"/>
            </xsl:call-template>
            <xsl:call-template name="hr"/>
            <xsl:call-template name="remoteServe">
                <xsl:with-param name="topic" select="$topic"/>
            </xsl:call-template>
            <xsl:call-template name="hr"/>
            <xsl:call-template name="refresh">
                <xsl:with-param name="topic" select="$topic"/>
            </xsl:call-template>
            <xsl:call-template name="hr"/>
            <tr><td align="right" colspan="2">
            <input type="submit" value="Enregistrer Modifications" class="uportal-button"/>
            <xsl:text> </xsl:text>
            <input type="reset" value="Effacer" class="uportal-button"/>
            <xsl:text> </xsl:text>
            <input type="button" value="Annuler  Changements" onClick="top.location.href='{$baseActionURL}?view={$fromView}&amp;topicID={$topicID}'" class="uportal-button"/>
            </td></tr>
        </xsl:template>

        <xsl:template name="hr">
            <tr><td colspan="2" align="center">
                <table width="90%" border="0" cellspacing="0" cellpadding="0"><tr><td height="1" width="5" class="uportal-background-highlight"><xsl:text> </xsl:text></td></tr></table>
            </td></tr>
        </xsl:template>

        <xsl:template name="topicStore">
            <xsl:param name="topic">null</xsl:param>
            <xsl:variable name="store" select="$topic/parent::*/topicStore[@key=($topic/@store)]"/>
            <tr><td colspan="2" class="uportal-channel-table-header"><xsl:text>Type de thème</xsl:text></td></tr>
            <tr>
                <td>
                    <xsl:text> </xsl:text>
                </td>
                <td class="uportal-channel-table-row-even">
                    <xsl:value-of select="$store/@description"/>
                </td>
            </tr>
            <xsl:if test="$store/@takesarg='true'">
                    <tr><td><xsl:text> </xsl:text></td><td>
                    <input type="hidden" name="topicStore" value="{$store/@key}"/>
                    <input class="uportal-channel-text" type="text" name="argument{$store/@key}">
                        <xsl:if test="$topic/@argument!='null'">
                            <xsl:attribute name="value">
                                 <xsl:value-of select="$topic/@argument"/>
                            </xsl:attribute>
                        </xsl:if>
                    </input>
                    </td></tr>
             </xsl:if>
        </xsl:template>

        <xsl:template name="newTopicStore">
            <xsl:param name="root"/>
            <tr><td colspan="2" class="uportal-channel-table-header"><xsl:text>Sélectionner un type de thème</xsl:text></td></tr>
            <xsl:for-each select="$root/topicStore">
                <tr>
                <td>
                    <input type="radio" name="topicStore" value="{@key}">
                      <xsl:if test="@default='true'">
                        <xsl:attribute name="checked"/>
                      </xsl:if>
                    </input>
                </td>
                <td class="uportal-channel-table-row-even">
                    <xsl:value-of select="@description"/>
                </td>
                </tr>
                <xsl:if test="@takesarg='true'">
                    <tr><td><xsl:text> </xsl:text></td><td>
                    <input class="uportal-channel-text" type="text" size="60" name="argument{@key}"/>
                    </td></tr>
                </xsl:if>
            </xsl:for-each>
        </xsl:template>

        <xsl:template name="remoteServe">
            <xsl:param name="topic">null</xsl:param>
            <tr><td colspan="2" class="uportal-channel-table-header"><xsl:text>Servir aux portails à distance ?</xsl:text></td></tr>
            <tr><td>
            <input type="checkbox" name="servlet_publish" value="true">
                <xsl:if test="(not ($topic='null')) and ($topic/@publish='global')">
                    <xsl:attribute name="checked"/>
                </xsl:if>
            </input>
            </td>
            <td class="uportal-channel-table-row-even">
            <xsl:text>Voulez-vous rendre ce thème disponible pour les portails à distance ?</xsl:text>
            </td></tr>
        </xsl:template>

        <xsl:template name="tdl">
            <xsl:param name="topic">null</xsl:param>
            <tr><td class="uportal-channel-table-header" colspan="2">
                <xsl:text>Titre :</xsl:text></td></tr>
            <tr><td><xsl:text> </xsl:text></td>
                <td><input type="text" name="title" size="60" class="uportal-channel-text">
                <xsl:attribute name="value">
                    <xsl:if test="(not($topic='null')) and ($topic/RDF/Description/title!='null')">
                        <xsl:value-of select="$topic/RDF/Description/title"/>
                    </xsl:if>
                </xsl:attribute>
            </input>
            </td></tr>
            <tr><td class="uportal-channel-table-header" colspan="2">
                <xsl:text>Description : </xsl:text>
            </td></tr>
            <tr><td><xsl:text> </xsl:text></td><td>
            <textarea rows="4" cols="60" name="description" class="uportal-channel-text">
                    <xsl:choose>
                     <xsl:when test="(not($topic='null')) and ($topic/RDF/Description/description!='null')">
                        <xsl:value-of select="$topic/RDF/Description/description"/>
                    </xsl:when>
                    <xsl:otherwise><xsl:text> </xsl:text></xsl:otherwise>
                    </xsl:choose>
                </textarea>
            </td></tr>
            <tr><td class="uportal-channel-table-header" colspan="2">
                <xsl:text>Langage :  </xsl:text>
            </td></tr>
            <tr><td><xsl:text> </xsl:text></td><td>
            <select name="language" class="uportal-button">
                <option value="fr">
                     <xsl:if test="(not($topic='null')) and ($topic/RDF/Description/language/text()='fr')">
                        <xsl:attribute name="selected"/>
                     </xsl:if>
                      <xsl:text>Français</xsl:text>
                </option>
                 <option value="en">
                     <xsl:if test="(not($topic='null')) and ($topic/RDF/Description/language/text()='en')">
                        <xsl:attribute name="selected"/>
                     </xsl:if>
                    <xsl:text>Anglais</xsl:text>
                </option>
                <option value="es">
                     <xsl:if test="(not($topic='null')) and ($topic/RDF/Description/language/text()='es')">
                        <xsl:attribute name="selected"/>
                     </xsl:if>
                    <xsl:text>Espagnol</xsl:text>
                </option>
                <option value="de">
                     <xsl:if test="(not($topic='null')) and ($topic/RDF/Description/language/text()='de')">
                        <xsl:attribute name="selected"/>
                     </xsl:if>
                    <xsl:text>Allemand</xsl:text>
                </option>
                <option value="it">
                     <xsl:if test="(not($topic='null')) and ($topic/RDF/Description/language/text()='it')">
                        <xsl:attribute name="selected"/>
                     </xsl:if>
                    <xsl:text>Italien</xsl:text>
                </option>
                <option value="pt">
                     <xsl:if test="(not($topic='null')) and ($topic/RDF/Description/language/text()='pt')">
                        <xsl:attribute name="selected"/>
                     </xsl:if>
                    <xsl:text>Portugais</xsl:text>
                </option>
            </select>
            </td></tr>
        </xsl:template>

        <xsl:template name="refresh">
            <xsl:param name="topic">null</xsl:param>
            <tr><td colspan="2">
                <span class="uportal-channel-table-header"><xsl:text>Rafraîchir les configurations</xsl:text></span>
                <span class="uportal-channel-warning"><xsl:text> (Laisser vide pour utiliser les valeurs par défaut) </xsl:text></span>
            </td>
            </tr>
            <tr><td><xsl:text> </xsl:text></td><td>
                <table><tr><td class="uportal-channel-table-row-even"><xsl:text>Période :</xsl:text></td><td>
                    <select name="refresh_period" class="uportal-button">
                        <option/>
                        <option value="hourly">
                            <xsl:if test="(not($topic='null')) and ($topic/refresh/@period='hourly')">
                                <xsl:attribute name="selected"/>
                             </xsl:if>
                            <xsl:text>Par Heure</xsl:text></option>
                        <option value="daily">
                            <xsl:if test="(not($topic='null')) and ($topic/refresh/@period='daily')">
                                <xsl:attribute name="selected"/>
                             </xsl:if>
                            <xsl:text>Par jour</xsl:text></option>
                        <option value="weekly">
                            <xsl:if test="(not($topic='null')) and ($topic/refresh/@period='weekly')">
                                <xsl:attribute name="selected"/>
                             </xsl:if>
                            <xsl:text>Par semaine</xsl:text></option>
                        <option value="monthly">
                            <xsl:if test="(not($topic='null')) and ($topic/refresh/@period='monthly')">
                                <xsl:attribute name="selected"/>
                             </xsl:if>
                            <xsl:text>Par mois</xsl:text></option>
                        <option value="yearly">
                            <xsl:if test="(not($topic='null')) and ($topic/refresh/@period='yearly')">
                                <xsl:attribute name="selected"/>
                             </xsl:if>
                            <xsl:text>Par an</xsl:text></option>
                    </select>
                 </td></tr>
             <tr><td class="uportal-channel-table-row-even"><xsl:text>Fréquence :</xsl:text></td><td>
                    <input type="text" name="refresh_frequency" class="uportal-channel-text" size="3" maxlength="2">
                        <xsl:if test="(not($topic='null')) and ($topic/refresh/@frequency)">
                            <xsl:attribute name="value">
                                <xsl:value-of select="$topic/refresh/@frequency"/>
                            </xsl:attribute>
                         </xsl:if>
                    </input>
                    <span class="uportal-channel-warning"><xsl:text> (nombre de fois)</xsl:text></span>
                 </td></tr>
               </table>
            </td></tr>
        </xsl:template>

</xsl:stylesheet>