<?xml version='1.0' encoding="utf-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:xmsg="urn:x-lexica:xmsg:message:1.0" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
    <xsl:output method="html" indent="yes"/>
    <xsl:param name="baseActionURL"/>
    <xsl:param name="commandResponse"/>
    <xsl:param name="ignorePermissions" select="false()"/>
    <xsl:param name="isTopicAdmin" select="false()"/>
    <xsl:param name="currentTime"/>
    <xsl:param name="isAuthenticated" select="false()"/>
    <xsl:key name="visibleKey" match= "message[((not (property[@name='appears']/@value)) or (number(property[@name='appears']/@value) &lt; (number($currentTime)))) and ((not (@expires)) or (number(@expires) &gt; (number($currentTime)))) and (not(property[@name='draft']/@value='true'))]" use="parent::topic/@id"/>

    <xsl:param name="mediaPath">media/edu/columbia/ais/portal/channels/announcements</xsl:param>
    <xsl:param name="maxNbAnnouncements">[maxNBAnnounceView]</xsl:param>

    <xsl:variable name = "btnTxt"><xsl:choose>

            <xsl:when test="$isTopicAdmin">
               <xsl:value-of select="'Gérer les thèmes'" />
            </xsl:when>
            <xsl:otherwise><xsl:value-of select="'Souscrire aux thèmes'" /></xsl:otherwise>
    </xsl:choose></xsl:variable>
    <xsl:variable name = "showAll">
        <xsl:choose>
            <xsl:when test="$maxNbAnnouncements &lt;  0 ">
              <xsl:value-of select="'1'" />
          </xsl:when>
        <xsl:otherwise><xsl:value-of select="'0'" /></xsl:otherwise>
    </xsl:choose></xsl:variable>
    <xsl:template match="/">
        <span class="uportal-channel-warning">
            <xsl:value-of select="$commandResponse"/>
        </span>
        <table width="90%" border="0" cellspacing="0" cellpadding="0">
            <form action='{$baseActionURL}'>
            <xsl:apply-templates select = "CAnnouncements/topic[parent::*/subscription/@id=@id][count(key('visibleKey',@id))>0]">
                <xsl:sort select="key('visibleKey',@id)[number(@generated.on) &gt;= number(key('visibleKey',property[@name='topicID']/@value)/@generated.on)]/@generated.on" order="descending" data-type="number"/>
            </xsl:apply-templates>
            <xsl:if test="$isAuthenticated">
              <tr>
                  <td colspan="2" align="center">
                      <input type="hidden" name="uP_root" value="me"/>
                      <input type="hidden" name="view" value="Subscription"/>
                      <input type="hidden" name="fromView" value="Home"/>
                   <input class="uportal-button" type="submit" value="{$btnTxt}"/>
                  </td>
              </tr>
            </xsl:if>
            </form>
        </table>
    </xsl:template>

    <xsl:template match="topic">
        <tr>
            <td colspan="2" class="uportal-channel-table-header">   <IMG src="{$mediaPath}/carres.gif" valign="absmiddle" />  <xsl:text> </xsl:text>
                <a href="{$baseActionURL}?uP_root=me&amp;view=Topic&amp;topicID={@id}&amp;fromView=Home">
                <xsl:value-of select="RDF/Description/title/self::*"/>
                </a>     &#160;
                <span class="uportal-channel-table-row-odd">
                <xsl:text> (</xsl:text>
                <xsl:value-of select="count(key('visibleKey',@id))"/>
                <xsl:text> annonce</xsl:text>
                <xsl:if test="not(count(key('visibleKey',@id))=1)">
                  <xsl:text>s</xsl:text>
                </xsl:if>
                <xsl:text>)</xsl:text>
                </span>
                <br/> <br/>
            </td>
        </tr>
        <xsl:apply-templates select="key('visibleKey',@id)">
            <xsl:sort select="property[@name='prioritynumber']/@value" order="descending" data-type="number"/>
            <xsl:sort select="@generated.on" order="descending" data-type="number"/>
        </xsl:apply-templates>
        <tr><td colspan="2" align="center">
            <table width="90%" border="0" cellspacing="0" cellpadding="0"><tr><td height="1" width="5" class="uportal-background-highlight"><xsl:text> </xsl:text></td></tr></table>
        <br/></td></tr>
    </xsl:template>

    <xsl:template match="message">
        <xsl:variable name = "resume"  select="document/summary/self::*" />
        <xsl:if test="position() &lt; $maxNbAnnouncements  or $showAll=1">
            <tr>
            <td valign="top" colspan="2"><IMG src="{$mediaPath}/btn.gif" border="0" valign="absmiddle"/>   <xsl:text> </xsl:text>
            <a href="{$baseActionURL}?view=Announcement&amp;messageID={@id}&amp;topicID={../@id}&amp;fromView=Home" title="consulter cette annonce">
            <span class="uportal-channel-strong"><xsl:value-of select="document/title/self::*" disable-output-escaping="yes"/></span>  </a>
            </td></tr>
            <tr><td>
               <xsl:if test="string-length($resume) > 0">
                <span class="uportal-channel-text">
               <xsl:variable name="text-to-break" select="document/summary/self::*" />
               <xsl:call-template name="break">
                    <xsl:with-param name="txt" select="$text-to-break"/>
               </xsl:call-template>  </span>
            <br/><br/>
               </xsl:if>
         <!--   <span class="uportal-text-small" style="margin-left:20px;"><a href="{$baseActionURL}?view=Announcement&amp;messageID={@id}&amp;topicID={../@id}&amp;fromView=Home" title="Consulter cette annonce">
           <xsl:text>Pour en savoir plus...</xsl:text></a>  </span>
            <br/><br/>
        -->
            <xsl:apply-templates select="document/data.reference"/>
            </td>
            </tr>
        </xsl:if>
    </xsl:template>

     <xsl:template name="break">
   <xsl:param name="txt"/>
   <xsl:choose>
   <xsl:when test="contains($txt, '&#xa;')">
      <xsl:value-of select="substring-before($txt, '&#xa;')" disable-output-escaping="yes"/>
      <br/>
      <xsl:call-template name="break">
          <xsl:with-param name="txt" select="substring-after($txt, '&#xa;')"/>
      </xsl:call-template>
   </xsl:when>
   <xsl:otherwise>
        <xsl:value-of select="$txt" disable-output-escaping="yes"/>
   </xsl:otherwise>
   </xsl:choose>
</xsl:template>

    <xsl:template match="document/data.reference">
    <xsl:if test="string-length(@href) &gt; 7">
    <table>
    <TR>
    <TD>
         <IMG src="{$mediaPath}/lien.gif" valign="absmiddle"/>
        <a target="_blank">
        <xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
        <span class="uportal-channel-table-row-even" style="margin-left:20px;">
         <xsl:text>Consulter le lien : </xsl:text>  <xsl:value-of select="@href"/>
        </span>
        </a>
        </TD>
        </TR></table> <br/>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>