<?xml version='1.0' encoding="utf-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:xmsg="urn:x-lexica:xmsg:message:1.0">
        <xsl:output method="html" indent="yes"/>
        <xsl:param name="baseActionURL">
                default
        </xsl:param>
        <xsl:param name="fromView"/>
        <xsl:param name="commandResponse"/>
        <xsl:param name="normalScreenURL"/>
        <xsl:param name="fullScreenURL"/>
        <xsl:param name="isTopicAdmin" select="false()"/>
        <xsl:param name="ignorePermissions" select="false()"/>
        <xsl:key name="canSubscribe" match="//principal/permission[@activity='Subscribe' and @type='GRANT']" use="@target" />


        <xsl:template match="/">
         <center>
            <xsl:if test="$commandResponse!=''">
            <span class="uportal-channel-warning">
                <xsl:value-of select="$commandResponse"/>
            </span>
            <br/>
            </xsl:if>

             <table border="0" cellpadding="4" cellspacing="1">
             <tr><td colspan="3" align="center">
             <span class="uportal-channel-subtitle"><xsl:text>Gérer les thèmes d'annonces</xsl:text></span>
             </td></tr>
                 <tr><td colspan="3" align="center" class="uportal-background-highlight">
                <xsl:if test="$isTopicAdmin or $ignorePermissions">
                    <a href="{$baseActionURL}?view=EditTopic&amp;fromView=Subscription">
                        <span class="uportal-channel-title">
                        <xsl:text>Ajouter un nouveau thème</xsl:text>
                        </span>
                    </a>
                    <xsl:text>  ||  </xsl:text>
                </xsl:if>
                    <a>
                      <xsl:attribute name="href">
                          <xsl:value-of select="$baseActionURL"/>
                          <xsl:text>?view=</xsl:text>
                          <xsl:value-of select="$fromView"/>
                          <xsl:if test="$fromView='Home'">
                                   <xsl:text>&amp;uP_root=root</xsl:text>
                                                  </xsl:if>
                      </xsl:attribute>
                        <span class="uportal-channel-title">
                        <xsl:text>Terminé</xsl:text>
                        </span>
                    </a>
            </td>
            </tr>

            <tr><td colspan="3" align="center">
                <table width="90%" border="0" cellspacing="0" cellpadding="0"><tr><td height="1" width="5" class="uportal-background-highlight"><xsl:text> </xsl:text></td></tr></table>
            </td></tr>
              <tr><td><span class="uportal-channel-table-header"><xsl:text>Thème</xsl:text></span></td>
              <td><span class="uportal-channel-table-header"><xsl:text>Description</xsl:text></span></td>
              <td><span class="uportal-channel-table-header"><xsl:text>Souscrire ?</xsl:text></span></td>
              </tr>
              <xsl:apply-templates select="CAnnouncements"/>
              </table>
            </center>

        </xsl:template>

        <xsl:template match="CAnnouncements">


            <form action="{$baseActionURL}" method="post">
            <input type="hidden" name="command" value="Subscribe"/>
            <input type="hidden" name="view" value="Subscription"/>

            <xsl:apply-templates select="topic">
                <xsl:sort select="RDF/Description/title"/>
            </xsl:apply-templates>
            <tr><td colspan="3" align="center">
                <table width="90%" border="0" cellspacing="0" cellpadding="0"><tr><td height="1" width="5" class="uportal-background-highlight"><xsl:text> </xsl:text></td></tr></table>
            </td></tr>
            <tr><td colspan="3" align="right">
            <input class="uportal-button" type="submit" value="Mettre à jour les souscriptions"/>
            </td></tr>
            </form>



        </xsl:template>
        <xsl:template match="topic">
            <xsl:variable name="id" select="@id"/>
            <xsl:if test="key('canSubscribe',@id) or $ignorePermissions or $isTopicAdmin">
                <tr>
                <td>
                <a href="{$baseActionURL}?view=Topic&amp;topicID={@id}&amp;fromView=Subscription">
                <span class="uportal-channel-strong">
                <xsl:value-of select="RDF/Description/title"/>
                </span>
                </a>
                </td>
                <td class="uportal-channel-table-row-even">
                <xsl:value-of select="RDF/Description/description"/>
                </td>
                <td align="center">
                <xsl:choose>
                    <xsl:when test="//subscription[@id=$id][@inherited='true']">
                        <xsl:text>X</xsl:text>
                    </xsl:when>
                    <xsl:otherwise>
                        <input type="checkbox">
                            <xsl:attribute name="name">
                                    <xsl:text>subscribe</xsl:text>
                                    <xsl:value-of select="@id"/>
                            </xsl:attribute>
                            <xsl:attribute name="value">
                                    <xsl:text>true</xsl:text>
                            </xsl:attribute>
                            <xsl:if test="//subscription[@id=$id]">
                                    <xsl:attribute name="checked"/>
                            </xsl:if>
                        </input>
                    </xsl:otherwise>
                </xsl:choose>
                </td>
                </tr>
            </xsl:if>
        </xsl:template>
</xsl:stylesheet>