<?xml version='1.0' encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:xmsg="urn:x-lexica:xmsg:message:1.0" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
  <xsl:output method="html" indent="yes" />
  <xsl:param name="baseActionURL">default</xsl:param>
  <xsl:param name="commandResponse" />
  <xsl:param name="topicID" />
  <xsl:param name="fromView" />
  <xsl:param name="ignorePermissions" select="false()"/>
  <xsl:param name="isTopicAdmin" select="false()"/>
  <xsl:param name="currentTime" />
  <xsl:key name="isVisible" match="//topic[@id=$topicID]/message[((not (property[@name='appears']/@value)) or (number(property[@name='appears']/@value) &lt; (number($currentTime)))) and ((not (@expires)) or (number(@expires) &gt; (number($currentTime))))]" use="@id" />
  <xsl:key name="can" match="//principal/permission[@target=$topicID and @type='GRANT']" use="@activity" />

  <xsl:variable name="mediaPath" select="'media/edu/columbia/ais/portal/channels/announcements'" />

  <xsl:template match="/">
    <xsl:if test="$commandResponse!=''">
            <span class="uportal-channel-warning">
                <xsl:value-of select="$commandResponse"/>
            </span>
            <br/>
            </xsl:if>
    <script type="text/javascript" language="Javascript">
                <xsl:text>

                function confirmDelete(url,name){
                        if (confirm('Etes-vous sûr de vouloir supprimer '+name+' ?')){
                                window.location.href=url;
                        }
                }

                </xsl:text>
                </script>
    <center>

      <table border="0" cellpadding="2" cellspacing="1">
        <xsl:apply-templates select="//topic[@id=$topicID]" />
      </table>
    </center>
  </xsl:template>

  <xsl:template match="topic">
    <tr>
      <td colspan="4" align="center" class="uportal-channel-table-caption">
       <IMG src="{$mediaPath}/carres.gif" />  <xsl:text> </xsl:text> <xsl:value-of select="RDF/Description/title/self::*" />
       <p/>
      </td>
    </tr>
    <tr>
      <td colspan="4" align="center" class="uportal-background-highlight">
        <xsl:if test="@type='readwrite'">
          <xsl:if test="$isTopicAdmin or $ignorePermissions or key('can','PostAnnouncement') or key('can','DraftAnnouncement')">
            <a href="{$baseActionURL}?view=EditAnnouncement&amp;topicID={$topicID}&amp;fromView=Topic" title="créer une nouvelle annonce"> <span class="uportal-channel-title">
                <xsl:text>
                  Nouvelle Annonce
                </xsl:text>
              </span> </a>
            <xsl:text>
             ||
            </xsl:text>
          </xsl:if>
        </xsl:if>
        <xsl:if test="$isTopicAdmin or $ignorePermissions or key('can','EditTopic')">
          <a href="{$baseActionURL}?view=EditTopic&amp;topicID={$topicID}&amp;fromView=Topic" title="modifier les propriétés de ce thème"> <span class="uportal-channel-title">
              <xsl:text>
                 Définir Thème
              </xsl:text>
            </span> </a>
          <xsl:text>
            ||
          </xsl:text>
        </xsl:if>
        <xsl:if test="$isTopicAdmin or $ignorePermissions or key('can','DeleteTopic')">
          <a href="javascript:confirmDelete('{$baseActionURL}?command=DeleteTopic&amp;topicID={$topicID}&amp;view={$fromView}','ce thème');" title="supprimer ce thème"> <span class="uportal-channel-title">
              <xsl:text>
                Supprimer Thème
              </xsl:text>
            </span> </a>
          <xsl:text>
            ||
          </xsl:text>
        </xsl:if>
        <xsl:if test="$isTopicAdmin or $ignorePermissions or key('can','AssignPermissions')">
          <a href="{$baseActionURL}?view=AssignGroups&amp;subscriberGroup={@subscriberGroup}&amp;topicID={$topicID}&amp;fromView=Topic" title="forcer les souscriptions de ce thème"> <span class="uportal-channel-title">
              <xsl:text>
                Forcer les Souscriptions
              </xsl:text>
            </span> </a>
          <xsl:text>
            ||
          </xsl:text>
          <a href="{$baseActionURL}?view=AssignPermissions&amp;topicID={$topicID}&amp;fromView=Topic" title="attribuer des permissions pour ce thème"> <span class="uportal-channel-title">
              <xsl:text>
                 Assigner des Permissions
              </xsl:text>
            </span> </a>
          <xsl:text>
            ||
          </xsl:text>
        </xsl:if>
        <a>
          <xsl:attribute name="href">
                          <xsl:value-of select="$baseActionURL"/>
                          <xsl:text>?view=</xsl:text>
                          <xsl:value-of select="$fromView"/>
                          <xsl:if test="$fromView='Home'">
                                 <xsl:text>&amp;uP_root=root</xsl:text>
                          </xsl:if>
                  </xsl:attribute>
          <span class="uportal-channel-title">
            <xsl:text>
                 Terminé
            </xsl:text>
          </span>
        </a>
       </td>
    </tr>
    <xsl:apply-templates select="message">
      <xsl:sort select="property[@name='prioritynumber']/@value" order="descending" data-type="number" />
      <xsl:sort select="@generated.on" order="descending" />
    </xsl:apply-templates>
  </xsl:template>

  <xsl:template match="message">
    <xsl:if test="$isTopicAdmin or $ignorePermissions or ((key('can','DraftAnnouncement') or not(property[@name='draft']/@value='true')) and (key('isVisible',@id) or key('can','EditAnnouncement')))">
     <tr> <td colspan="4" align="center">&#160;</td></tr>
      <tr>
        <td valign="top">
            <IMG src="{$mediaPath}/btn.gif" border="0"/>
        </td>
        <td valign="top" class="uportal-channel-text">
        <span class="uportal-channel-strong"> <xsl:value-of select="document/title/self::*" disable-output-escaping="yes"/> </span>
          <br />

           <span class="uportal-channel-subtitle">Résumé :</span>   <br/>
            <xsl:variable name="text-to-break" select="document/summary/self::*" />
            <xsl:call-template name="break">
                    <xsl:with-param name="txt" select="$text-to-break"/>
            </xsl:call-template>
            <br/>

             <xsl:apply-templates select="document/data.reference" />
      <!--    <br />  <br/>
           <h6 style="margin:10px 0 5px 0; padding:0 0 0 0;">Annonce :</h6>  <br/>
          <xsl:value-of select="document/data/self::*" disable-output-escaping="yes"/>
          -->
        </td>
        <td valign="top" nowrap="true" class="uportal-channel-table-row-even">
          <xsl:if test="property[@name='draft']/@value='true'">
            <span class="uportal-channel-table-header">
              <xsl:text>
                BROUILLON
              </xsl:text>
            </span>
            <br />
          </xsl:if>
          <xsl:if test="parent::topic/@type='readwrite'">
            <xsl:if test="($isTopicAdmin or $ignorePermissions or key('can','EditAnnouncement')) or (key('can','DraftAnnouncement') and property[@name='draft']/@value='true')">
              <a href="{$baseActionURL}?view=EditAnnouncement&amp;topicID={$topicID}&amp;messageID={@id}&amp;fromView=Topic" title="modifier cette annonce"> <span class="uportal-channel-table-row-even">
                  <xsl:text>
                    Editer
                  </xsl:text>
                </span> </a>
            </xsl:if>
            <xsl:if test="$isTopicAdmin or $ignorePermissions or key('can','DeleteAnnouncement')">
             <xsl:text>
                ||
              </xsl:text>
              <a href="javascript:confirmDelete('{$baseActionURL}?view=Topic&amp;topicID={$topicID}&amp;messageID={@id}&amp;command=DeleteAnnouncement','cette annonce');" title="supprimer cette annonce"> <IMG src="{$mediaPath}/delete.gif" border="0" valign="middle"/>  <span class="uportal-channel-table-row-even">
                  <xsl:text>
                      Supprimer
                  </xsl:text>
                </span> </a>
            </xsl:if>
            <br />
          </xsl:if>
          <strong>
            <xsl:text>
              Par :
            </xsl:text>
          </strong>
          <xsl:value-of select="@from" />
          <br />
          <strong>
            <xsl:text>
              Date de la création :
            </xsl:text>
          </strong>
          <!-- parse generated on to represent date-->
           <xsl:value-of select="substring(@generated.on,7,2)" />
           <xsl:text>/</xsl:text>
           <xsl:value-of select="substring(@generated.on,5,2)" />
           <xsl:text>/</xsl:text>
           <xsl:value-of select="substring(@generated.on,1,4)" />
           <xsl:text> </xsl:text>
           <xsl:value-of select="substring(@generated.on,9,2)" />
           <xsl:text>:</xsl:text>
           <xsl:value-of select="substring(@generated.on,11,2)" />
          <br />

          <strong>
            <xsl:text>
               Priorité :
            </xsl:text>
          </strong>

        <!--  <xsl:value-of select="@priority" />   -->

          <xsl:variable name="num" select="property[@name='prioritynumber']/@value" />
          <xsl:choose>
         <xsl:when test="$num=1">
            <xsl:value-of select="'très faible'" />
         </xsl:when>
         <xsl:when test="$num=2">
            <xsl:value-of select="'faible'" />
         </xsl:when>
         <xsl:when test="$num=3">
            <xsl:value-of select="'normale'" />
         </xsl:when>
         <xsl:when test="$num=4">
            <xsl:value-of select="'élevée'" />
         </xsl:when>
         <xsl:when test="$num=5">
            <xsl:value-of select="'très élevée'" />
         </xsl:when>
         </xsl:choose>

          <br />
          <xsl:if test="((property[@name='appears']/@value))
            and (number(property[@name='appears']/@value)
            &gt; (number($currentTime)))">
            <br />
            <span class="uportal-channel-warning">
              <xsl:text>
                (Cette annonce sera diffusée le
              </xsl:text>
              <xsl:value-of select="property[@name='aDD']/@value" />
              <xsl:text>
                /
              </xsl:text>
              <xsl:value-of select="property[@name='aMM']/@value" />
              <xsl:text>
                /
              </xsl:text>
              <xsl:value-of select="property[@name='aYYYY']/@value" />
              <xsl:text>
                )
              </xsl:text>
            </span>
          </xsl:if>
          <xsl:if test="((@expires)) and (number(@expires) &lt; (number($currentTime)))">
            <br />
            <span class="uportal-channel-warning">
              <xsl:text>
                 (  Cette annonce  a périmée  le
              </xsl:text>
              <xsl:value-of select="property[@name='eDD']/@value" />
              <xsl:text>
                /
              </xsl:text>
              <xsl:value-of select="property[@name='eMM']/@value" />
              <xsl:text>
                /
              </xsl:text>
              <xsl:value-of select="property[@name='eYYYY']/@value" />
              <xsl:text>
                )
              </xsl:text>
            </span>
          </xsl:if>

        </td>
      </tr>
      <tr>
        <td colspan="3" align="center">
          <table width="90%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td height="1" width="5" class="uportal-background-dark">
                <xsl:text>
                </xsl:text>
              </td>
            </tr>
          </table>
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

   <xsl:template name="break">
   <xsl:param name="txt"/>
   <xsl:choose>
   <xsl:when test="contains($txt, '&#xa;')">
      <xsl:value-of select="substring-before($txt, '&#xa;')" disable-output-escaping="yes"/>
      <br/>
      <xsl:call-template name="break">
          <xsl:with-param name="txt" select="substring-after($txt, '&#xa;')"/>
      </xsl:call-template>
   </xsl:when>
   <xsl:otherwise>
        <xsl:value-of select="$txt" disable-output-escaping="yes"/>
   </xsl:otherwise>
   </xsl:choose>
</xsl:template>

  <xsl:template match="document/data.reference">
   <xsl:if test="string-length(@href) &gt; 5">
    <br />  <IMG src="{$mediaPath}/lien.gif" border="0"/>
    <a target="_blank">
      <xsl:attribute name="href">
        <xsl:value-of select="@href" />
      </xsl:attribute>
      <span class="uportal-table-row-even">
        <xsl:text>
           Consulter le  lien :
        </xsl:text>  <xsl:value-of select="@href"/>
      </span> </a>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>