<?xml version='1.0' encoding="utf-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:xmsg="urn:x-lexica:xmsg:message:1.0">
        <xsl:output method="html" indent="yes"/>
        <xsl:param name="baseActionURL">
                default
        </xsl:param>
        <xsl:param name="topicID"/>
        <xsl:param name="messageID"/>
        <xsl:param name="fromView"/>
        <xsl:param name="ignorePermissions" select="false()"/>
        <xsl:param name="isTopicAdmin" select="false()"/>
        <xsl:param name="maxNbSummaryCarac"> [maxNBSummaryCarac]</xsl:param>

        <xsl:template match="/">
            <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<SCRIPT type="text/javascript">
function validate() {

if (mainform.msg_title.value=='') {
alert("Vous devez remplir le titre de l'annonce.");
event.returnValue=false;
}

var summaryTxtLen = mainform.msg_summary.value.length;

var summaryLimit = <xsl:value-of select="$maxNbSummaryCarac" />;

if(summaryTxtLen > summaryLimit)
{ alert('Attention, veuillez réduire la taille de votre résumé. Vous avez saisi '+summaryTxtLen +' caractères pour votre résumé.  Le nbr de caractères acceptés pour le résumé est limité à ' +  summaryLimit + ' caractères.');
   event.returnValue=false;   }

}
</SCRIPT>
<script type="text/javascript" src="fckeditor/fckeditor.js"></script>
<script type="text/javascript">

window.onload = function()
{
        // Automatically calculates the editor base path based on the _samples directory.
        // This is usefull only for these samples. A real application should use something like this:
        // oFCKeditor.BasePath = '/fckeditor/' ;        // '/fckeditor/' is the default value.
        var sBasePath = 'fckeditor/';

        var oFCKeditor = new FCKeditor( 'msg_body' ) ;
        oFCKeditor.BasePath        = sBasePath ;
        oFCKeditor.ToolbarSet = "[Toolbar]";
          oFCKeditor.Width = "100%";
          oFCKeditor.Height = "[Height]";
        oFCKeditor.ReplaceTextarea() ;
}
</script>


            </head>
            <body  >
                <center>
                    <xsl:variable name="thisMessage" select = "CAnnouncements/topic[@id=$topicID]/message[@id=$messageID]"/>
                    <table border="0" cellpadding="3" cellspacing="2">
                        <tr><td class="uportal-channel-subtitle">
                            <strong>
                <xsl:choose>
                    <xsl:when test="string-length($thisMessage/@id)=0">
                        <xsl:text>Nouvelle Annonce</xsl:text>
                    </xsl:when>
                    <xsl:when test="$thisMessage/property[@name='draft']/@value='true'">
                        <xsl:text>Editer Annonce comme Brouillon</xsl:text>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:text>Modifier Annonce</xsl:text>
                    </xsl:otherwise>

                </xsl:choose>
                <xsl:text> - </xsl:text>
                <em><xsl:value-of select="CAnnouncements/topic[@id=$topicID]/RDF/Description/title/self::*"/></em>
                </strong></td></tr>

              <form name="mainform" method="post" action="{$baseActionURL}" onsubmit="validate();">
              <input type="hidden" name="command" value="WriteAnnouncement"/>
              <input type="hidden" name="view" value="{$fromView}"/>
              <input type="hidden" name="messageID">
                <xsl:attribute name="value">
                    <xsl:value-of select="$thisMessage/@id"/>
                </xsl:attribute>
              </input>
              <input type="hidden" name="topicID" value="{$topicID}"/>
                  <tr><td class="uportal-channel-table-header">
                      <xsl:text>Titre du message (limité à 120 caracères) :</xsl:text><br/>

               <input id="msg_title" name="msg_title" type="text" size="120" maxlength="120" class="uportal-channel-text">
                   <xsl:choose>
                       <xsl:when test = "$thisMessage/document/data!='null'">
                           <xsl:attribute  name = "value" ><xsl:value-of select="$thisMessage/document/title"/></xsl:attribute>
                       </xsl:when>
                       <xsl:otherwise>
                           <xsl:attribute  name = "value" ></xsl:attribute>
                       </xsl:otherwise>
                   </xsl:choose>
                      </input>
                  </td></tr>
                  <tr><td class="uportal-channel-table-header">
                      <xsl:text>Résumé du message (limité à [maxNBSummaryCarac] caractères) :</xsl:text><br/>
                      <textarea id="msg_summary" name="msg_summary" rows="8" cols="120" class="uportal-channel-text">
                          <xsl:choose>
                              <xsl:when test = "$thisMessage/document/summary!='null'">
                                  <xsl:value-of select="$thisMessage/document/summary"/>
                              </xsl:when>
                              <xsl:otherwise>
                                  <xsl:text> </xsl:text>
                              </xsl:otherwise>
                          </xsl:choose>
                      </textarea>
                  </td></tr>
              <tr><td class="uportal-channel-table-header">
              <xsl:text>Corps du message :</xsl:text><br/>
                  <textarea id="msg_body" name="msg_body" rows="20" cols="120" wrap="virtual">
                <xsl:choose>
                    <xsl:when test = "$thisMessage/document/data!='null'">
                        <xsl:value-of select="$thisMessage/document/data"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:text> </xsl:text>
                    </xsl:otherwise>
                    </xsl:choose>
                  </textarea>

            </td></tr>
            <tr><td class="uportal-channel-table-header">
            <xsl:choose>
                <xsl:when test = "string-length($thisMessage/@priority) &gt; 0">
                    <xsl:call-template name="selectpriority">
                        <xsl:with-param name="priority" select="$thisMessage/@priority"/>
                    </xsl:call-template>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:call-template name="selectpriority"/>
                </xsl:otherwise>
            </xsl:choose>
            </td></tr>
            <tr><td align="center">
                <table width="90%" border="0" cellspacing="0" cellpadding="0"><tr><td height="1" width="5" class="uportal-background-highlight"><xsl:text> </xsl:text></td></tr></table>
            </td></tr>
        <tr><td>
              <span class="uportal-channel-table-header"><xsl:text>Date d'apparition du message :  </xsl:text></span>
                <span class="uportal-channel-warning"><xsl:text>(facultatif)</xsl:text></span>
                <br/>
              <table><tr>
                    <td class="uportal-channel-table-row-even"><xsl:text>(JJ)</xsl:text></td>
                    <td class="uportal-channel-table-row-even"><xsl:text>(MM)</xsl:text></td>
                    <td class="uportal-channel-table-row-even"><xsl:text>(AAAA)</xsl:text></td>
                    </tr>
                    <tr>
                    <td>
                          <input type="text" size="3" maxsize="2" name="aDD" class="uportal-channel-text">
                                <xsl:attribute name="value">
                                     <xsl:value-of select="$thisMessage/property[@name='aDD']/@value"/>
                                </xsl:attribute>
                          </input>
                      </td>
                      <td>
                        <input type="text" size="3" maxsize="2" name="aMM" class="uportal-channel-text">
                                <xsl:attribute name="value">
                                     <xsl:value-of select="$thisMessage/property[@name='aMM']/@value"/>
                                </xsl:attribute>
                          </input>
                      </td>
                      <td>
                            <input type="text" size="5" maxsize="42" name="aYYYY" class="uportal-channel-text">
                                    <xsl:attribute name="value">
                                         <xsl:value-of select="$thisMessage/property[@name='aYYYY']/@value"/>
                                    </xsl:attribute>
                              </input>
                      </td>
                      </tr>
                      </table>
                </td></tr>
                <tr><td>
                    <span class="uportal-channel-table-header"><xsl:text>Date d'expiration du message : </xsl:text></span>
                <span class="uportal-channel-warning"><xsl:text>(facultatif)</xsl:text></span>
                    <br/>
                       <table><tr>
                    <td class="uportal-channel-table-row-even"><xsl:text>(JJ)</xsl:text></td>
                    <td class="uportal-channel-table-row-even"><xsl:text>(MM)</xsl:text></td>
                    <td class="uportal-channel-table-row-even"><xsl:text>(AAAA)</xsl:text></td>
                    </tr>
                    <tr>
                    <td>
                          <input type="text" size="3" maxsize="2" name="eDD" class="uportal-channel-text">
                                <xsl:attribute name="value">
                                     <xsl:value-of select="$thisMessage/property[@name='eDD']/@value"/>
                                </xsl:attribute>
                          </input>
                      </td>
                      <td>
                        <input type="text" size="3" maxsize="2" name="eMM" class="uportal-channel-text">
                                <xsl:attribute name="value">
                                     <xsl:value-of select="$thisMessage/property[@name='eMM']/@value"/>
                                </xsl:attribute>
                          </input>
                      </td>
                      <td>
                            <input type="text" size="5" maxsize="42" name="eYYYY" class="uportal-channel-text">
                                    <xsl:attribute name="value">
                                         <xsl:value-of select="$thisMessage/property[@name='eYYYY']/@value"/>
                                    </xsl:attribute>
                              </input>
                      </td>
                      </tr>
                      </table>

            </td></tr>

            <tr><td>
            <span class="uportal-channel-table-header"><xsl:text>Ajouter un lien :  </xsl:text></span>
                <span class="uportal-channel-warning"><xsl:text>(facultatif)</xsl:text></span>
            <br/>
            <input type="text" size="40" maxsize="255" name="msg_link" class="uportal-channel-text">
                <xsl:attribute name="value">
                    <xsl:value-of select = "$thisMessage/document/data.reference/@href"/>
                </xsl:attribute>
            </input>
            </td></tr>
            <tr><td align="center">
                <table width="90%" border="0" cellspacing="0" cellpadding="0"><tr><td height="1" width="5" class="uportal-background-highlight"><xsl:text> </xsl:text></td></tr></table>
            </td></tr>
            <tr><td>
            <xsl:if test="$isTopicAdmin or $ignorePermissions or (//principal/permission[@activity='PostAnnouncement'][@target=$topicID]/@type='GRANT')">
                    <input class="uportal-button" type="submit" name="post" value="Publier"/>
                    <xsl:text> </xsl:text>
            </xsl:if>
            <xsl:if test="$isTopicAdmin or $ignorePermissions or (//principal/permission[@activity='DraftAnnouncement'][@target=$topicID]/@type='GRANT')">
                    <input class="uportal-button" type="submit" name="draft" value="Enregistrer comme Brouillon"/>
                    <xsl:text> </xsl:text>
            </xsl:if>

            <input type="button" class="uportal-button" value="Annuler Changements" onClick="top.location.href='{$baseActionURL}?view={$fromView}&amp;topicID={$topicID}'"/>
            </td></tr>
            </form>
</table>
             </center></body>
        </xsl:template>
        <xsl:template name="selectpriority">
            <xsl:param name="priority">normal</xsl:param>
            <strong> <xsl:text>Priorité du message :</xsl:text> </strong>
                <select name="priority" class="uportal-button">
                    <option value="normal">
                        <xsl:if test="$priority='normal'">
                            <xsl:attribute name="selected"/>
                        </xsl:if>
                        <xsl:text>Normal</xsl:text>
                    </option>
                    <option value="lowest">
                        <xsl:if test="$priority='lowest'">
                            <xsl:attribute name="selected"/>
                        </xsl:if>
                        <xsl:text>Très faible</xsl:text>
                    </option>
                    <option value="low">
                        <xsl:if test="$priority='low'">
                            <xsl:attribute name="selected"/>
                        </xsl:if>
                        <xsl:text>Faible</xsl:text>
                    </option>
                    <option value="high">
                        <xsl:if test="$priority='high'">
                            <xsl:attribute name="selected"/>
                        </xsl:if>
                        <xsl:text>Elevée</xsl:text>
                    </option>
                    <option value="highest">
                        <xsl:if test="$priority='highest'">
                            <xsl:attribute name="selected"/>
                        </xsl:if>
                        <xsl:text>Très élevée</xsl:text>
                    </option>
                </select>
        </xsl:template>
</xsl:stylesheet>