<?xml version='1.0' encoding="utf-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:xmsg="urn:x-lexica:xmsg:message:1.0" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
    <xsl:output method="html" indent="yes"/>
    <xsl:param name="baseActionURL"/>
    <xsl:param name="maxView">5</xsl:param>
    <xsl:param name="ShowAll">0</xsl:param>
    <xsl:param name="mediapath">media/edu/columbia/ais/portal/channels/announcements</xsl:param>
    <xsl:template match="/">
        <table border="0">
            <xsl:if test="$ShowAll=1">
                    <tr>
                            <td colspan="2" align="center" class="uportal-channel-subtitle">
                            <form action='{$baseActionURL}'>
                            <input type="hidden" name="uP_root" value="root"/>
                             <input type="hidden" name="ShowAll" value="0"/>
                            <input class="uportal-button" type="submit" value="Retour"/>
                            </form>
                            </td>
                    </tr>
            </xsl:if>
            <xsl:apply-templates select="/topic/message">
                    <xsl:sort select="property[@name='prioritynumber']/@value" order="descending" data-type="number"/>
                    <xsl:sort select="@generated.on" order="descending" data-type="number"/>
            </xsl:apply-templates>

             <tr><td colspan="2" align="center" class="uportal-channel-strong"><xsl:value-of select="topic/RDF/Description/title" />    <br/>
             </td></tr>
             <xsl:if test="count(/topic/message) &lt; 1">
                <tr>
                            <td colspan="2" align="center" class="uportal-channel-subtitle">
                                    &#160;
                            </td>
                    </tr>
                    <tr>
                            <td colspan="2" align="center" class="uportal-channel-subtitle">

                                      Aucune annonce disponible pour l'instant !
                            </td>
                    </tr>
            </xsl:if>

            <xsl:if test="count(/topic/message) &gt; $maxView and $ShowAll=0">
                <tr>
                            <td colspan="2" align="center" class="uportal-channel-subtitle">
                                    &#160;
                            </td>
                    </tr>
                    <tr>
                            <td colspan="2" align="center" class="uportal-channel-subtitle">

                                    <a href="{$baseActionURL}?uP_root=me&amp;ShowAll=1" class="uportal-channel-subtitle">Cliquer ici pour voir l'intégralité des annonces.</a>
                            </td>
                    </tr>
            </xsl:if>
            <xsl:if test="$ShowAll=1">
                    <tr>
                            <td colspan="2" align="center" class="uportal-channel-subtitle">
                            <br/>
                            <form action='{$baseActionURL}'>
                             <input type="hidden" name="uP_root" value="root"/>
                             <input type="hidden" name="ShowAll" value="0"/>
                            <input class="uportal-button" type="submit" value="Retour"/>
                            </form>
                             </td>
                    </tr>
            </xsl:if>
        </table>
    </xsl:template>

    <xsl:template match="message">
      <xsl:if test="position() &lt;= $maxView or $ShowAll=1">
             <tr>
            <td valign="top"><img src="{$mediapath}/icone.gif" valign="absmiddle" border="0"/></td>
            <td valign="top" class="uportal-channel-strong"> <xsl:value-of select="document/title" />
           <span class="uportal-text-small">   &#160;    &#160;   (<i>
           <xsl:call-template name = "formatTime" >
           <xsl:with-param name="time" select="@generated.on"></xsl:with-param>
           </xsl:call-template>      <xsl:text> par  </xsl:text> <xsl:value-of select="@from" /> </i>)</span>
            <hr width="90%"/>
            </td>
        </tr>
        <xsl:if test="document/summary">
        <tr>
            <td valign="top"> </td>
            <td valign="top" class="uportal-channel-text">  <i>Résumé :
                    <xsl:call-template name="replaceLineFeed">
                             <xsl:with-param name="string" select="document/summary/self::*"/>
                    </xsl:call-template>  </i>

            </td>
        </tr>
        </xsl:if>
        <xsl:if test="document/data">
        <tr>
            <td valign="top"> </td>
            <td valign="top" class="uportal-channel-text">
                   <xsl:value-of select="document/data/self::*" disable-output-escaping="yes"/>
                    <xsl:apply-templates select="document/data.reference"/>
            </td>
        </tr>
        </xsl:if>
     </xsl:if>
    </xsl:template>

    <xsl:template match="document/data.reference">
        <table border="0">
                <tr>
                        <td valign="middle" >
                                <xsl:text> </xsl:text>
                                <a target="_blank">
                                <xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
                                <span class="uportal-label">
                                <img src="{$mediapath}/link.gif" border="0" valign="absmiddle"/>
                                </span>
                                </a>
                        </td>
                        <td>
                        <xsl:text> </xsl:text>
                        <a target="_blank">
                        <xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
                        <span class="uportal-label">
                        <xsl:text> Consulter le lien  </xsl:text>
                        </span>
                        </a>
                        </td>
                    </tr>
                </table>
    </xsl:template>

    <xsl:template name="replaceLineFeed">
            <xsl:param name="string"/>
            <xsl:choose>
                <xsl:when test="contains($string,'&#10;')">
                    <xsl:value-of select="substring-before($string,'&#10;')"  disable-output-escaping="yes"/>
                                <BR/>
                    <xsl:call-template name="replaceLineFeed">
                        <xsl:with-param name="string" select="substring-after($string,'&#10;')"/>
                    </xsl:call-template>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="$string" disable-output-escaping="yes"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:template>

        <xsl:template name="formatTime">
                <xsl:param name="time" />
                <!-- parse generated on to represent date-->
                <xsl:value-of select="substring($time,7,2)" />
                <xsl:text>/</xsl:text>
                <xsl:value-of select="substring($time,5,2)" />
                <xsl:text>/</xsl:text>
                <xsl:value-of select="substring($time,1,4)" />
                <xsl:text> </xsl:text>
                <xsl:value-of select="substring($time,9,2)" />
                <xsl:text>:</xsl:text>
                <xsl:value-of select="substring($time,11,2)" />
        </xsl:template>
</xsl:stylesheet>